import React from 'react';
import IBasePro from 'src/1properties/0define/0form/abase';
import { IPropertyComponent } from 'src/1properties/0define/ztranslate';
/**
 * 基础表单
 */
export default class FormComponent<P = {}, S = {}, SS = any> extends React.Component<P, S, SS> {
    readonly twview: string;
    constructor(props: any, view: string);
    /**
     * 获取具体的渲染对象
     * @param property 属性定义
     */
    getProperty(property: IBasePro): IPropertyComponent;
    tipRender(property: IBasePro): React.JSX.Element | null;
    /**
     *
     * @param property 渲染对象
     * @param children 需要处理的子对象
     */
    proRender(property: IPropertyComponent, ...children: any): React.JSX.Element;
}
export type { IPropertyComponent };
